﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\BID_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_BID_BIDROLLSECTION') 
 CREATE TABLE T_BID_BIDROLLSECTION (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FROLLSECTIONNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_BID_BIDROLLSECTION_L') 
 CREATE TABLE T_BID_BIDROLLSECTION_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FROLLSECTIONNAME NVARCHAR(100) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_BID_PROJECT_A' AND KSQL_COL_NAME ='FNEEDFLAGNEWSUPPLIER') 
 ALTER TABLE T_BID_PROJECT_A ADD (FNEEDFLAGNEWSUPPLIER CHAR(1) DEFAULT '0' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_BID_PROJECT_A' AND KSQL_COL_NAME ='FENTITYTYPEID') 
 ALTER TABLE T_BID_PROJECT_A ADD (FENTITYTYPEID VARCHAR(50) DEFAULT ' ' NOT NULL );
 EXEC p_AlterColumn 'T_BID_PROJSUPPLIERDETAIL', 'FSUPPLIERCOMMENT', 'NVARCHAR(800)', 'NULL', '0100', '';

IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_BID_PROJSUPPLIERDETAIL' AND KSQL_COL_NAME ='FEMAIL') 
 ALTER TABLE T_BID_PROJSUPPLIERDETAIL ADD (FEMAIL VARCHAR(80) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_BID_PROJSUPPLIERDETAIL' AND KSQL_COL_NAME ='FFAX') 
 ALTER TABLE T_BID_PROJSUPPLIERDETAIL ADD (FFAX VARCHAR(80) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_BID_PROJSUPPLIERDETAIL' AND KSQL_COL_NAME ='FISNEW') 
 ALTER TABLE T_BID_PROJSUPPLIERDETAIL ADD (FISNEW CHAR(1) DEFAULT '0' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_BID_PROJSUPPLIERDETAIL' AND KSQL_COL_NAME ='FISFROMPROJECT') 
 ALTER TABLE T_BID_PROJSUPPLIERDETAIL ADD (FISFROMPROJECT CHAR(1) DEFAULT '0' NOT NULL );
 EXEC p_AlterColumn 'T_BID_PROJSUPPLIERDETAIL_L', 'FSUPPLIERCOMMENT', 'NVARCHAR(800)', 'NULL', '0100', '';

IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_BID_PROJSUPPLIERDETAIL_L' AND KSQL_COL_NAME ='FADDRESS') 
 ALTER TABLE T_BID_PROJSUPPLIERDETAIL_L ADD (FADDRESS VARCHAR(800) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_BID_PATCHRESULT') 
 CREATE TABLE T_BID_PATCHRESULT (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FSUPPLIER BIGINT DEFAULT 0 NOT NULL,
FSUPPLIERGROUP BIGINT DEFAULT 0 NOT NULL,
FSUPPLIEREVALRESULT BIGINT DEFAULT 0 NOT NULL,
FTXQUALIFICATIONRESULT NVARCHAR(255) DEFAULT ' ' NOT NULL,
FENTERPRISEPROPERTYR NVARCHAR(255) DEFAULT ' ' NOT NULL,
FOTHERAPTITUDEBAMER NVARCHAR(500) DEFAULT ' ' NOT NULL,
FSUPPLIER_EVAL BIGINT DEFAULT 0 NOT NULL,
FENTERPRISE_PROPERTY NVARCHAR(255) DEFAULT ' ' NOT NULL,
FTX_QUALIFICATION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FOTHERAPTITUDEL_EVEL NVARCHAR(500) DEFAULT ' ' NOT NULL,
FOTHERAPTITUDE_NAME NVARCHAR(500) DEFAULT ' ' NOT NULL,
FDATE DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_BID_PATCHSUPPLIER') 
 CREATE TABLE T_BID_PATCHSUPPLIER (
FID BIGINT DEFAULT 0 NOT NULL,
FTXQUALIFICATION VARCHAR(255) DEFAULT ' ' NOT NULL,
FSUPPLIERTYPE BIGINT DEFAULT 0 NOT NULL,
FSUPPLIERLEVEL BIGINT DEFAULT 0 NOT NULL,
FENTERPRISEPROPERTY VARCHAR(255) DEFAULT ' ' NOT NULL,
EXTRACTNUM BIGINT DEFAULT 0 NOT NULL,
FOTHERAPTITUDENAME VARCHAR(255) DEFAULT ' ' NOT NULL,
FOTHERAPTITUDEEVAL VARCHAR(255) DEFAULT ' ' NOT NULL,
FSUPPLIERID VARCHAR(255) DEFAULT ' ' NOT NULL,
FSECTIONID VARCHAR(255) DEFAULT ' ' NOT NULL,
FUSERFIEID BIGINT DEFAULT 0 NOT NULL
);



/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\BID_table.sql **/
