﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\BID_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_BID_PROJSUPPLIERDETAIL' AND KSQL_COL_NAME ='FSUPPLIERSOURCE') 
 ALTER TABLE T_BID_PROJSUPPLIERDETAIL ADD (FSUPPLIERSOURCE NVARCHAR(800) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_BID_PROJSUPPLIERDETAIL' AND KSQL_COL_NAME ='FSUPPLIERNAME') 
 ALTER TABLE T_BID_PROJSUPPLIERDETAIL ADD (FSUPPLIERNAME BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_BID_PROJSUPPLIERDETAIL' AND KSQL_COL_NAME ='FISFROMREGSUPPLIER') 
 ALTER TABLE T_BID_PROJSUPPLIERDETAIL ADD (FISFROMREGSUPPLIER CHAR(1) DEFAULT '0' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_BIDPRO_OPENEVALENTRY') 
 CREATE TABLE T_BIDPRO_OPENEVALENTRY (
FDETAILID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FTYPE VARCHAR(30) DEFAULT ' ' NOT NULL,
FSCORE DECIMAL(19,6) DEFAULT 0 NOT NULL,
FWEIGHT DECIMAL(19,6) DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_BIDPRO_OPENEVALENTRY_L') 
 CREATE TABLE T_BIDPRO_OPENEVALENTRY_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FITEM VARCHAR(100) DEFAULT ' ' NOT NULL,
FSTANDARD VARCHAR(1000) DEFAULT ' ' NOT NULL,
FDETAILID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_BIDPRO_OPENTYPEENTRY') 
 CREATE TABLE T_BIDPRO_OPENTYPEENTRY (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FTYPE VARCHAR(30) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_BIDPROJECT_PROFICIENT') 
 CREATE TABLE T_BIDPROJECT_PROFICIENT (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FTECHNICAL CHAR(1) DEFAULT '0' NOT NULL,
FCOMMERCIAL CHAR(1) DEFAULT '0' NOT NULL,
FPROFICIENTID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_BIDPROJECT_PROFICIENT_L') 
 CREATE TABLE T_BIDPROJECT_PROFICIENT_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FCOMMENT VARCHAR(1000) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_BID_PROJECT_A' AND KSQL_COL_NAME ='FEVALUATEDECIDEWAYID') 
 ALTER TABLE T_BID_PROJECT_A ADD (FEVALUATEDECIDEWAYID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_BID_PROJECT_A' AND KSQL_COL_NAME ='FTECHWEIGHT') 
 ALTER TABLE T_BID_PROJECT_A ADD (FTECHWEIGHT DECIMAL(23,10) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_BID_PROJECT_A' AND KSQL_COL_NAME ='FCOMWEIGHT') 
 ALTER TABLE T_BID_PROJECT_A ADD (FCOMWEIGHT DECIMAL(23,10) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_BID_PROJECT_A' AND KSQL_COL_NAME ='FISONLINEEVAL') 
 ALTER TABLE T_BID_PROJECT_A ADD (FISONLINEEVAL CHAR(1) DEFAULT '0' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_BID_PROJECT_A' AND KSQL_COL_NAME ='FBIDEVALTEMPLATE') 
 ALTER TABLE T_BID_PROJECT_A ADD (FBIDEVALTEMPLATE BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_BID_PROJECT_A' AND KSQL_COL_NAME ='FSCOREMODE') 
 ALTER TABLE T_BID_PROJECT_A ADD (FSCOREMODE VARCHAR(50) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_BID_PROJECT_A' AND KSQL_COL_NAME ='FSCORETYPE') 
 ALTER TABLE T_BID_PROJECT_A ADD (FSCORETYPE VARCHAR(50) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_BID_PROJECT_A' AND KSQL_COL_NAME ='FEXTRACTRECOID') 
 ALTER TABLE T_BID_PROJECT_A ADD (FEXTRACTRECOID VARCHAR(50) DEFAULT ' ' NOT NULL );

/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\BID_table.sql **/
