﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\BID_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_BID_CLALISTENTRY') 
 CREATE TABLE T_BID_CLALISTENTRY (
FDETAILID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FSECTIONNAME VARCHAR(50) DEFAULT ' ' NOT NULL,
FLISTBILLID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_BID_CLALISTENTRY_L') 
 CREATE TABLE T_BID_CLALISTENTRY_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FDETAILID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FRESUME VARCHAR(2000) DEFAULT ' '
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_BID_DOCLISTENTRY') 
 CREATE TABLE T_BID_DOCLISTENTRY (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FSECTIONNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FLISTBILLID BIGINT DEFAULT 0 NOT NULL,
FISAUDITSYNC CHAR(1) DEFAULT '0' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_BID_DOCLISTENTRY_L') 
 CREATE TABLE T_BID_DOCLISTENTRY_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FSECTIONNAME VARCHAR(50) DEFAULT ' ' NOT NULL,
FRESUME VARCHAR(2000) DEFAULT ' '
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_BID_LISTATTACH') 
 CREATE TABLE T_BID_LISTATTACH (
FPKID BIGINT DEFAULT 0 NOT NULL,
FDETAILID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_BID_OPENLISTATTACH') 
 CREATE TABLE T_BID_OPENLISTATTACH (
FPKID BIGINT DEFAULT 0 NOT NULL,
FDETAILID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_BID_PUBLISTENTRY') 
 CREATE TABLE T_BID_PUBLISTENTRY (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FLISTBILLID BIGINT DEFAULT 0 NOT NULL,
FSECTIONNAME VARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_BID_PUBLISTENTRY_L') 
 CREATE TABLE T_BID_PUBLISTENTRY_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FRESUME VARCHAR(2000) DEFAULT ' '
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_BID_DECISUPPLIERDETAIL' AND KSQL_COL_NAME ='FLISTBILLID') 
 ALTER TABLE T_BID_DECISUPPLIERDETAIL ADD (FLISTBILLID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_BID_BIDOPEN_SUPPLIER' AND KSQL_COL_NAME ='FLISTBILLID') 
 ALTER TABLE T_BID_BIDOPEN_SUPPLIER ADD (FLISTBILLID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_BID_ONLINEBIDEVAL_SUP' AND KSQL_COL_NAME ='FLISTBILLID') 
 ALTER TABLE T_BID_ONLINEBIDEVAL_SUP ADD (FLISTBILLID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_BID_PROJECT' AND KSQL_COL_NAME ='FISENABLELIST') 
 ALTER TABLE T_BID_PROJECT ADD (FISENABLELIST CHAR(1) DEFAULT '0' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_BID_PROJECT' AND KSQL_COL_NAME ='FISREQUIREDLIST') 
 ALTER TABLE T_BID_PROJECT ADD (FISREQUIREDLIST CHAR(1) DEFAULT '0' NOT NULL );

/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\BID_table.sql **/
