﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\BID_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_BID_BIDOPEN' AND KSQL_COL_NAME ='FEVALUATEDMETHOD') 
 ALTER TABLE T_BID_BIDOPEN ADD (FEVALUATEDMETHOD VARCHAR(30) DEFAULT '0' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_BID_INVALIDSECTION') 
 CREATE TABLE T_BID_INVALIDSECTION (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_BID_INVALIDSECTION_L') 
 CREATE TABLE T_BID_INVALIDSECTION_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME VARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_BID_INVALIDSUPPLIER_L') 
 CREATE TABLE T_BID_INVALIDSUPPLIER_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FDETAILID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FINVALIDREASON VARCHAR(255) DEFAULT ' ',
FMANAGER VARCHAR(20) DEFAULT ' ' NOT NULL,
FILLUSTRATION VARCHAR(800) DEFAULT ' ',
FCOMMENT VARCHAR(1000) DEFAULT ' ',
FSUPPLIERCONTACT VARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_BID_SUPPLIERINVALID') 
 CREATE TABLE T_BID_SUPPLIERINVALID (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO VARCHAR(30) DEFAULT ' ' NOT NULL,
FBILLSTATUS VARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FMODIFYTIME DATETIME,
FCREATETIME DATETIME,
FORGID BIGINT DEFAULT 0 NOT NULL,
FBIDPROJECTID BIGINT DEFAULT 0 NOT NULL,
FBIDOPENID BIGINT DEFAULT 0 NOT NULL,
FEVALUATIONID BIGINT DEFAULT 0 NOT NULL,
FISONLINEEVAL CHAR(1) DEFAULT '0' NOT NULL,
FENTITYTYPEID VARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_BID_INVALIDSUPPLIER') 
 CREATE TABLE T_BID_INVALIDSUPPLIER (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FDETAILID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FSUPPLIERID BIGINT DEFAULT 0 NOT NULL,
FWORKDAY BIGINT DEFAULT 0 NOT NULL,
FDEPOSITTYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
FDEPOSIT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FISTENDER CHAR(1) DEFAULT '0' NOT NULL,
FTENDERDATE DATETIME,
FISINVALID CHAR(1) DEFAULT '0' NOT NULL,
FTECHFILE BIGINT DEFAULT 0 NOT NULL,
FCOMFILE BIGINT DEFAULT 0 NOT NULL,
FTENFILE BIGINT DEFAULT 0 NOT NULL,
FOTHERFILE BIGINT DEFAULT 0 NOT NULL,
FTENDERPRICE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTAXRATE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPRICEVAT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FEXCEPTVAT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPURDETAIL VARCHAR(50) DEFAULT ' ' NOT NULL,
FCONTACTPHONE VARCHAR(50) DEFAULT ' ' NOT NULL,
FREVOKEBIDNUMBER BIGINT DEFAULT 0 NOT NULL,
FISFROMBACKBID CHAR(1) DEFAULT '0' NOT NULL,
FISNEW CHAR(1) DEFAULT '0' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_BID_EVAL_TENDERENTRY') 
 CREATE TABLE T_BID_EVAL_TENDERENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FOPENSECTIONID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_BID_EVAL_TENDERENTRY_L') 
 CREATE TABLE T_BID_EVAL_TENDERENTRY_L (
FPKID NVARCHAR(36) DEFAULT ' ' NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID NVARCHAR(50) DEFAULT ' ' NOT NULL,
FEVALSECTIONNAME NVARCHAR(2000) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_BID_EVALSUPPLIERDETAIL') 
 CREATE TABLE T_BID_EVALSUPPLIERDETAIL (
FID BIGINT DEFAULT 0 NOT NULL,
FTECHEVALRESULT NVARCHAR(2000) DEFAULT ' ' NOT NULL,
FOPENSECTIONID BIGINT DEFAULT 0 NOT NULL,
FSUPPLIERID BIGINT DEFAULT 0 NOT NULL,
FBUSEVALRESULT NVARCHAR(2000) DEFAULT ' ' NOT NULL,
FEVALUATIONID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_BID_ONLINEBIDEVAL_SEC' AND KSQL_COL_NAME ='FOPENSECTIONID') 
 ALTER TABLE T_BID_ONLINEBIDEVAL_SEC ADD (FOPENSECTIONID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_BID_ONLINEBIDEVAL' AND KSQL_COL_NAME ='FEVALUATEDMETHOD') 
 ALTER TABLE T_BID_ONLINEBIDEVAL ADD (FEVALUATEDMETHOD VARCHAR(30) DEFAULT '0' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_BID_ONLINEBIDEVAL_SUP' AND KSQL_COL_NAME ='FTECHEVALRESULT') 
 ALTER TABLE T_BID_ONLINEBIDEVAL_SUP ADD (FTECHEVALRESULT NVARCHAR(2000) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_BID_ONLINEBIDEVAL_SUP' AND KSQL_COL_NAME ='FBSEVALRESULT') 
 ALTER TABLE T_BID_ONLINEBIDEVAL_SUP ADD (FBSEVALRESULT NVARCHAR(2000) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_BID_EVALSUPPLIERDETAIL_L') 
 CREATE TABLE T_BID_EVALSUPPLIERDETAIL_L (
FPKID NVARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID NVARCHAR(20) DEFAULT ' ' NOT NULL,
FSECTIONNAME NVARCHAR(2000) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_BID_BIDOPEN_SUPPLIER' AND KSQL_COL_NAME ='FEVALSUPPLIERINVALID') 
 ALTER TABLE T_BID_BIDOPEN_SUPPLIER ADD (FEVALSUPPLIERINVALID NVARCHAR(50) DEFAULT '0' NOT NULL );

/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\BID_table.sql **/
