﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\BID_constraint.sql **/
 EXEC P_ALTERPK 'PK_T_BIDPAY', 'T_BIDPAY', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_BID_PAY_FBILLNO') CREATE INDEX IDX_BID_PAY_FBILLNO ON T_BIDPAY ( FBILLNO );


 EXEC P_ALTERPK 'PK_T_BIDPAY_BACK', 'T_BIDPAY_BACK', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_BID_PAY_BACK_FSEQ') CREATE INDEX IDX_BID_PAY_BACK_FSEQ ON T_BIDPAY_BACK ( FSEQ );


 EXEC P_ALTERPK 'PK_T_BIDPAY_FILE', 'T_BIDPAY_FILE', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_BID_PAY_FILE_FENTRYID') CREATE INDEX IDX_BID_PAY_FILE_FENTRYID ON T_BIDPAY_FILE ( FPAYLISTID );


 EXEC P_ALTERPK 'PK_T_BIDPAY_SECTION', 'T_BIDPAY_SECTION', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_BID_PAY_SECTION_FSEQ') CREATE INDEX IDX_BID_PAY_SECTION_FSEQ ON T_BIDPAY_SECTION ( FSEQ );


 EXEC P_ALTERPK 'PK_T_BIDPAY_SECTION_L', 'T_BIDPAY_SECTION_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_BID_PAY_SECTION_L_FENTRYID') CREATE INDEX IDX_BID_PAY_SECTION_L_FENTRYID ON T_BIDPAY_SECTION_L ( FENTRYID );


 EXEC P_ALTERPK 'PK_T_BIDPAY_SUPPLIERENT', 'T_BIDPAY_SUPPLIERENT', 'FDETAILID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_BID_PAY_FENTRYID') CREATE INDEX IDX_BID_PAY_FENTRYID ON T_BIDPAY_SUPPLIERENT ( FENTRYID );


 EXEC P_ALTERPK 'PK_T_BIDPAY_DETAIL', 'T_BIDPAY_DETAIL', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_BID_PAY_DETAIL_FSEQ') CREATE INDEX IDX_BID_PAY_DETAIL_FSEQ ON T_BIDPAY_DETAIL ( FBILLNO );


 EXEC P_ALTERPK 'PK_T_BIDPAY_LIST', 'T_BIDPAY_LIST', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_BID_PAY_LIST_FBILLNO') CREATE INDEX IDX_BID_PAY_LIST_FBILLNO ON T_BIDPAY_LIST ( FBILLNO );


 EXEC P_ALTERPK 'PK_T_BIDPAY_FILE_L', 'T_BIDPAY_FILE_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'T_BID_PAYFILE_L_FID') CREATE INDEX T_BID_PAYFILE_L_FID ON T_BIDPAY_FILE_L ( FID );



/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\BID_constraint.sql **/
